# Created by pyp2rpm-3.4.0
%define python3_pkgversion 3.11
%global pypi_name json-stream-rs-tokenizer
%global pypi_version 0.4.26

# Disables tests because of circular dependency on itself
# and json-stream
%bcond_with tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        A faster tokenizer for the json-stream Python library

License:        MIT
URL:            https://github.com/smheidrich/py-json-stream-rs-tokenize
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
# To create the vendor tarball:
#   tar xf %%{name}-%%{version}.tar.gz ; pushd %%{name}-%%{version} ; \
#   cargo vendor --versioned-dirs && tar Jcvf ../%%{name}-%%{version}-vendor.tar.xz vendor/ ; popd
Source1:        %{pypi_name}-%{version}-vendor.tar.gz
BuildArch:      x86_64

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools-rust
BuildRequires:  python%{python3_pkgversion}-toml
BuildRequires:  pyproject-rpm-macros
BuildRequires:  rust-toolset

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-json-stream = 2.3.2
BuildRequires:  python%{python3_pkgversion}-json-stream-rs-tokenizer
BuildRequires:  (python%{python3_pkgversion}-pytest > 7.1.0 with python%{python3_pkgversion}-pytest < 8~~)
%endif

%description
> **NOTE:** json-stream-rs-tokenizer is now automatically used by > json-
stream, so unless you find a bug, you can ignore this package's > existence!
json- stream-rs-tokenizer[![CI build badge]( [![CI test badge]( [![PyPI package
and version badge](

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        A faster tokenizer for the json-stream Python library

%description -n python%{python3_pkgversion}-%{pypi_name}
> **NOTE:** json-stream-rs-tokenizer is now automatically used by > json-
stream, so unless you find a bug, you can ignore this package's > existence!
json- stream-rs-tokenizer[![CI build badge]( [![CI test badge]( [![PyPI package
and version badge](

%global debug_package %{nil}

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%cargo_prep %{?rhel:-v vendor}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{pytest}
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitearch}/json_stream_rs_tokenizer
%{python3_sitearch}/json_stream_rs_tokenizer-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Feb 17 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 0.4.26-1.0.1
- Imports crates
- Fixes rust build

* Mon Feb 17 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 0.4.26-1
- Initial package.